## ros-foxy-examples-rclpy-executors 0.9.4

=== debian/changelog ===
ros-foxy-examples-rclpy-executors (0.9.4-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-foxy-examples-rclpy-executors (0.9.3-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 23 Jun 2020 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.9.2-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.9.1-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.9.0-1focal) focal; urgency=high

  * more verbose test_flake8 error messages (same as ros2/launch_ros#135 <https://github.com/ros2/launch_ros/issues/135>)
  * Contributors: Dirk Thomas

 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.8.2-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-foxy-examples-rclpy-executors (0.8.1-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Thu, 24 Oct 2019 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.7.3-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.7.2-1focal) focal; urgency=high

  * Fix deprecation warnings (#241 <https://github.com/ros2/examples/issues/241>)
  * Contributors: Jacob Perron

 -- Shane Loretz <sloretz@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.7.1-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.7.0-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.6.2-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Feb 2019 08:00:00 -0000

ros-foxy-examples-rclpy-executors (0.6.0-1focal) focal; urgency=high

  * No changes.

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 20 Nov 2018 08:00:00 -0000

ros-foxy-examples-rclpy-executors (0.5.1-1focal) focal; urgency=high



 -- Shane Loretz <sloretz@openrobotics.org>  Wed, 27 Jun 2018 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.5.0-1focal) focal; urgency=high

  * add pytest markers to linter tests
  * set zip_safe to avoid warning during installation (#205 <https://github.com/ros2/examples/issues/205>)
  * Contributors: Dirk Thomas, Mikael Arguedas

 -- Shane Loretz <sloretz@openrobotics.org>  Tue, 26 Jun 2018 07:00:00 -0000

ros-foxy-examples-rclpy-executors (0.4.0-1focal) focal; urgency=high

  * Destroy nodes when the example is done (#196 <https://github.com/ros2/examples/issues/196>)
  * wait_for_ready_callbacks returns a tuple now (#194 <https://github.com/ros2/examples/issues/194>)
    ros2/rclpy#159 <https://github.com/ros2/rclpy/issues/159> changed wait_for_ready_callbacks to manage the generator internally and return just a tuple
  * Use logging (#190 <https://github.com/ros2/examples/issues/190>)
  * Fix import statement and usage for rclpy.node.Node (#189 <https://github.com/ros2/examples/issues/189>)
  * remove test_suite, add pytest as test_requires
  * Follow up to executor example comments (#184 <https://github.com/ros2/examples/issues/184>)
  * 0.0.3
  * remove Listener from the "ThrottledTalkerListener" name given that this is only a throttled talker (#183 <https://github.com/ros2/examples/issues/183>)
  * Examples for Executors and callback groups (#182 <https://github.com/ros2/examples/issues/182>)
  * Contributors: Dirk Thomas, Mikael Arguedas, Shane Loretz

 -- Shane Loretz <sloretz@openrobotics.org>  Fri, 08 Dec 2017 08:00:00 -0000
